import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询库存管理列表
export function listIncomeWmsBox(query) {
  return request({
    url: '/incomewmsbox/list',
    method: 'get',
    params: query
  })
}

// 2. 查询库存管理详细信息
export function getIncomeWmsBox(businessId) {
  return request({
    url: '/incomewmsbox/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增库存管理
export function addIncomeWmsBox(data) {
  data = Qs.stringify(data)
  return request({
    url: '/incomewmsbox/add',
    method: 'post',
    data: data
  })
}

// 4. 修改库存管理
export function updateIncomeWmsBox(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/incomewmsbox/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除库存管理
export function delIncomeWmsBox(businessId) {
  return request({
    url: '/incomewmsbox/deleteLogical/' + businessId,
    method: 'delete'
  })
}

// 6. 导出库存管理
export function exportIncomeWmsBox(query) {
  return request({
    url: '/incomewmsbox/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
